こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

締切り済みの質問

Oracleインストールエラー

はじめまして。

以下の環境で、インストールしてます。

物理マシン
OS MS Windows 7 Home Premium 64-bit SP1
CPU Intel Processor @ 3.40GHz 8コア
メモリー 16GB

仮想環境
VMware Workstation 9
仮想マシン Centos5.9(32bit)
CPU 1コア
メモリー 6GB

データベース環境
Oracle10g Release 1 (10.1.0.2) 32bit

上記の環境で、仮想マシン上に行っています。

Oracle EnterPrise Manager Grid Contorol インストール途中で、RAM不足になります。
エラーメッセージは、下記のとおりです。
システムには現在5MBのRAMがあります。EnterpriseManager using an existing database
インストールでは、少なくとも512MBの物理メモリーが必要です。

この環境では、インストールはできないでしょうか。
色々調べていたのですが、わからなかったので、アドバイスを頂けると幸いです。
よろしくお願いいたします。

vmstat -a
procs -----------memory---------- ---swap-- -----io---- --system-- -----cpu------
r b swpd free inact active si so bi bo in cs us sy id wa st
0 0 0 5469796 454856 266152 0 0 136 50 1018 264 1 1 97 1 0

cat /proc/meminfo
MemTotal: 6228356 kB
MemFree: 5469672 kB
Buffers: 36180 kB
Cached: 510864 kB
SwapCached: 0 kB
Active: 266264 kB
Inactive: 454808 kB
HighTotal: 5373888 kB
HighFree: 4675384 kB
LowTotal: 854468 kB
LowFree: 794288 kB
SwapTotal: 6289436 kB
SwapFree: 6289436 kB
Dirty: 36 kB
Writeback: 0 kB
AnonPages: 173992 kB
Mapped: 72576 kB
Slab: 20932 kB
PageTables: 5408 kB
NFS_Unstable: 0 kB
Bounce: 0 kB
CommitLimit: 9403612 kB
Committed_AS: 533940 kB
VmallocTotal: 116728 kB
VmallocUsed: 8396 kB
VmallocChunk: 108172 kB
HugePages_Total: 0
HugePages_Free: 0
HugePages_Rsvd: 0
Hugepagesize: 2048 kB

sysctl -p
net.ipv4.ip_forward = 0
net.ipv4.conf.default.rp_filter = 1
net.ipv4.conf.default.accept_source_route = 0
kernel.sysrq = 0
kernel.core_uses_pid = 1
net.ipv4.tcp_syncookies = 1
kernel.msgmnb = 65536
kernel.msgmax = 65536
kernel.shmmax = 4294967295
kernel.shmall = 268435456
net.ipv4.ip_local_port_range = 9000 65500
fs.file-max = 6815744
kernel.sem = 250 32000 100 128
kernel.shmmni = 4096
net.core.rmem_default = 262144
net.core.wmem_default = 262144
net.core.rmem_max = 4194304
net.core.wmem_max = 1048576
fs.aio-max-nr = 1048576

以上、よろしくお願いいたします。

投稿日時 - 2013-08-26 13:28:03

QNo.8236412

すぐに回答ほしいです

このQ&Aは役に立ちましたか?

1人が「このQ&Aが役に立った」と投票しています

回答(2)

ANo.2

これって、エラーではなく情報(単なるメッセージ)ではないですか。

リリースにもよりますが、要件を満たしているマシンにDBをインストールするときにも似
たようなメッセージが表示されたように思います。

なので、うまくインストールできないということでしたら、別のところでエラーが発生し
ている可能性を疑ってみるべきだと思います。

まずは、oraInventoryに出力された installActions.log を確認されてみると良いでしょ
う。(非常にわかりづらいですが・・・)

いくら Oracle でも、6GB RAMでも足りない製品はさすがにないはずです。

投稿日時 - 2013-09-12 09:38:07

ANo.1

こんにちわ。

> この環境では、インストールはできないでしょうか。
多分OS がシステム要件を満たしていないのではないかと思います。

以下のURL で、Oracle Enterprise Manager Grid Control 10.1 の
Installation 及び基本構成のマニュアルが確認できます。
http://otndnld.oracle.co.jp/document/products/as10g/904/generic/B13502-03.pdf

Linux の場合、以下のOS が動作保障されているようです。
RedHat Enterprise Linux ES/AS 2.1 および3.0
SuSE8 Service Pack 3

Oracle を使用するだけであればEnterprise Manager は必須ではありませんが
Database 自体も10.1 ではCentOS 5.9 は動作保障していないと思います。

10.1 のDatabase を使用しなければならない理由が無いのであれば、
新しいDatabase をInstall した方が良いと思います。

投稿日時 - 2013-08-27 01:29:46

あなたにオススメの質問